<?php

namespace App\Console\Commands;
use Illuminate\Console\Command;

class TranscribeAudio extends Command
{
    protected $signature = 'transcription:transcribe {audioFilePath}';

    protected $description = 'Transcribe audio using Python script';

    public function handle()
    {
        $audioFilePath = $this->argument('audioFilePath');
        $pythonExecutable = 'python3'; // Replace with the correct Python executable name

        $scriptPath = base_path('public/js/transcribe.py'); // Path to the Python script

        $command = "$pythonExecutable $scriptPath " . escapeshellarg($audioFilePath);

        $process = proc_open($command, [
            0 => ['pipe', 'r'],
            1 => ['pipe', 'w'],
            2 => ['pipe', 'w'],
        ], $pipes);

        if (is_resource($process)) {
            fclose($pipes[0]);

            $output = stream_get_contents($pipes[1]);
            fclose($pipes[1]);

            $errors = stream_get_contents($pipes[2]);
            fclose($pipes[2]);

            proc_close($process);

            if (!empty($errors)) {
                $this->error("Error while executing Python script: " . $errors);
            } else {
                $transcription = trim($output);
                $this->info("Transcription result: " . $transcription);
            }
        } else {
            $this->error("Failed to execute the Python script.");
        }
    }
}

