@extends('layouts.app')
@section('css')
	<!-- Data Table CSS -->
	<link href="{{URL::asset('plugins/datatable/datatables.min.css')}}" rel="stylesheet" />
	<!-- Awselect CSS -->
	<link href="{{URL::asset('plugins/awselect/awselect.min.css')}}" rel="stylesheet" />
	<!-- Flipclock CSS -->
	<link href="{{URL::asset('plugins/flipclock/flipclock.css')}}" rel="stylesheet" />
@endsection
@section('page-header')
<!-- PAGE HEADER -->
<div class="page-header mt-5-7">
	<div class="page-leftheader">
		<h4 class="page-title mb-0">{{ __('Transcribe') }}</h4>
		<!--<ol class="breadcrumb mb-2">-->
		<!--	<li class="breadcrumb-item"><a href="{{route('user.stt.file')}}"><i class="fa fa-magic mr-2 fs-12"></i>{{ __('User') }}</a></li>-->
		<!--	<li class="breadcrumb-item" aria-current="page"><a href="{{url('#')}}"> {{ __('Speech-to-Text') }}</a></li>-->
		<!--	<li class="breadcrumb-item active" aria-current="page"><a href="{{url('#')}}"> {{ __('Live Transcribe') }}</a></li>-->
		<!--</ol>-->
	</div>
</div>
<!-- END PAGE HEADER -->
@endsection
@section('content')
	<div class="row">
		@if(session('success'))
        <p>{{ session('success') }}</p>
    @endif

    <form action="{{ route('transcriptions.store') }}" method="post" enctype="multipart/form-data">
        @csrf
        <input type="file" name="audio_file" accept=".mp3,.wav">
        <button type="submit">Transcribe</button>
    </form>

    @if(count($transcriptions))
        <h2>Transcriptions:</h2>
        <ul>
            @foreach($transcriptions as $transcription)
                <li>
                    <audio controls>
                        <source src="{{ asset('storage/' . $transcription->audio_file) }}" type="audio/mpeg">
                        Your browser does not support the audio element.
                    </audio>
                    <p>{{ $transcription->transcription ?? 'Transcription not available.' }}</p>
                </li>
            @endforeach
        </ul>
    @endif
    </div>
@endsection
@section('js')
	<!-- Flipclock JS -->
	<script src={{ URL::asset('plugins/flipclock/moment.min.js') }}></script>
	<script src={{ URL::asset('plugins/flipclock/popper.min.js') }}></script>
	<script src={{ URL::asset('plugins/flipclock/flipclock.min.js') }}></script>
	<script src={{ URL::asset('plugins/flipclock/recorder.js') }}></script>
	<!-- Data Tables JS -->
	<script src="{{URL::asset('plugins/datatable/datatables.min.js')}}"></script>
	<script src="{{URL::asset('js/live-main.js')}}"></script>
	<!-- Awselect JS -->
	<script src="{{URL::asset('plugins/jqtarea/plugin-jqtarea.min.js')}}"></script>
	<script src="{{URL::asset('plugins/awselect/awselect-custom.js')}}"></script>
	<script src="{{URL::asset('js/dashboard.js')}}"></script>
	<script src="{{URL::asset('js/transcribe-live.js')}}"></script>
	<script src="{{URL::asset('plugins/socket/websocket.min.js')}}"></script>
	
	<script type="text/javascript">
		
	</script>
@endsection