@extends('layouts.app')
@section('css')
	<!-- Data Table CSS -->
	<link href="{{URL::asset('plugins/datatable/datatables.min.css')}}" rel="stylesheet" />
	<!-- Awselect CSS -->
	<link href="{{URL::asset('plugins/awselect/awselect.min.css')}}" rel="stylesheet" />
	<!-- Flipclock CSS -->
	<link href="{{URL::asset('plugins/flipclock/flipclock.css')}}" rel="stylesheet" />
@endsection
@section('page-header')
<!-- PAGE HEADER -->
<div class="page-header mt-5-7">
	<div class="page-leftheader">
		<h4 class="page-title mb-0">{{ __('Transcribe') }} ID: {{ $files->id}}</h4>
		<!--<ol class="breadcrumb mb-2">-->
		<!--	<li class="breadcrumb-item"><a href="{{route('user.stt.file')}}"><i class="fa fa-magic mr-2 fs-12"></i>{{ __('User') }}</a></li>-->
		<!--	<li class="breadcrumb-item" aria-current="page"><a href="{{url('#')}}"> {{ __('Speech-to-Text') }}</a></li>-->
		<!--	<li class="breadcrumb-item active" aria-current="page"><a href="{{url('#')}}"> {{ __('Live Transcribe') }}</a></li>-->
		<!--</ol>-->
	</div>
</div>
<!-- END PAGE HEADER -->
@endsection
@section('content')
	<div class="row">
		@if(session('success'))
        <p>{{ session('success') }}</p>
    @endif
    </div>
    <div class="container p-0">
        <form class="" action="{{route('user.transcriptions.update', ['id'=>$files->id] )}}" method="POST" enctype="multipart/form-data">
        @csrf
        <div class="row layout-top-spacing">
        <div class="col-lg-8 layout-spacing">
          <div class="layout-px-spacing">
            <div class="row layout-spacing layout-top-spacing" id="cancel-row">
                <div class="col-lg-12">
                    <div class="">
                        <div class="widget-content searchable-container grid">
                            <div class="card-box add-product">
                                    <div class="row">
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label for="name" class="strong"> {{__('Name')}}</label>
                                                <input id="name" name="name" value="{{ $files->name}}" type="text" class="form-control form-control">
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label for="type" class="strong"> {{__('File Type')}}</label>
                                                <select id="type" name="type" data-placeholder="{{ __('Audio Type') }}">	
                        							<option value=""> Select Type</option>
                        							<option value="General">General</option>
                        							<option value="Conferance Call">Conferance Call</option>
                        							<option value="Meeting Record">Meeting Record</option>
                        							<option value="Phone Call">Phone Call</option>
                        						</select>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="form-group">
                                                <label for="categories" class="strong"> {{__('File Categories')}}</label>
                                                <select id="categories" name="categories" data-placeholder="{{ __('Select Categories') }}" data-callback="processLanguageFeature">	
                        							<option value=""> Select Categories</option>
                        							<option value="General">General</option>
                        							<option value="Finance">Finance</option>
                        							<option value="Education">Education</option>
                        						</select>
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label for="transcription" class="strong"> {{__('File Transcription')}}</label>
                                                <textarea id="transcription" name="transcription" value="{{ $files->transcription}}" type="text" class="form-control form-control">{{ $files->transcription}}</textarea>
                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>  
        </div>
        </div>
        <button type="submit" class="mr-1 btn btn-md btn-primary">{{__('Save Changes')}}</button>
        </div>
    </div>
    </form>
    </div>
@endsection
@section('js')
    <script src={{ URL::asset('js/transcribe.py') }}></script>
	
	<script type="text/javascript">
		$('#add-audio').on('click', function() {
				$('#audioModal').modal('show');
			});
	</script>
@endsection