# scripts/transcribe.py

import speech_recognition as sr
import sys

def transcribe_audio(audio_file):
    recognizer = sr.Recognizer()

    with sr.AudioFile(audio_file) as source:
        audio_data = recognizer.record(source)

    try:
        text = recognizer.recognize_google(audio_data)
        return text
    except sr.UnknownValueError:
        return None
    except sr.RequestError:
        return None

if __name__ == "__main__":
    audio_file = sys.argv[1]
    transcription = transcribe_audio(audio_file)
    print(transcription)
