

<?php $__env->startSection('css'); ?>
	<!-- Data Table CSS -->
	<link href="<?php echo e(URL::asset('plugins/awselect/awselect.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-header'); ?>
	<!-- PAGE HEADER -->
	<div class="page-header mt-5-7">
		<div class="page-leftheader">
			<h4 class="page-title mb-0"><?php echo e(__('STT Configuration')); ?></h4>
			<ol class="breadcrumb mb-2">
				<li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>"><i class="fa fa-magic mr-2 fs-12"></i><?php echo e(__('Admin')); ?></a></li>
				<li class="breadcrumb-item" aria-current="page"><a href="<?php echo e(route('admin.stt.dashboard')); ?>"> <?php echo e(__('STT Management')); ?></a></li>
				<li class="breadcrumb-item active" aria-current="page"><a href="#"> <?php echo e(__('STT Configuration')); ?></a></li>
			</ol>
		</div>
	</div>
	<!-- END PAGE HEADER -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>	
	<!-- ALL CSP CONFIGURATIONS -->					
	<div class="row">
		<div class="col-lg-8 col-md-12 col-xm-12">
			<div class="card overflow-hidden border-0">
				<div class="card-header">
					<h3 class="card-title"><?php echo e(__('Setup STT Configuration')); ?></h3>
				</div>
				<div class="card-body">

					<!-- STT SETTINGS FORM -->					
					<form action="<?php echo e(route('admin.stt.configs.store')); ?>" method="POST" enctype="multipart/form-data">
						<?php echo csrf_field(); ?>
						
						<div class="row">
							<div class="col-lg-6 col-md-6 col-sm-12">
								<div class="input-box">	
									<h6><?php echo e(__('Default Language')); ?> <span class="text-muted">(<?php echo e(__('Record & File Transcribe')); ?>)</span></h6>
			  						<select id="set-voice-types" name="set-language-file" data-placeholder="Select default language for record & file transribe">
										<?php $__currentLoopData = $languages_file; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
											<option value="<?php echo e($language->id); ?>" data-img="<?php echo e(URL::asset($language->language_flag)); ?>" <?php if(config('stt.vendor_logos') == 'show'): ?> data-vendor="<?php echo e(URL::asset($language->vendor_img)); ?>" <?php endif; ?> <?php if(config('stt.language.file') == $language->id): ?> selected <?php endif; ?>> <?php echo e($language->language); ?></option>
										<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>	
									</select>
								</div> 					
							</div>

							<div class="col-lg-6 col-md-6 col-sm-12">
								<div class="input-box">	
									<h6><?php echo e(__('Default Language')); ?> <span class="text-muted">(<?php echo e(__('Live Transcribe')); ?>)</span></h6>
			  						<select id="set-ssml-effects" name="set-language-live" data-placeholder="Select default language for live transribe">			
										<?php $__currentLoopData = $languages_live; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
											<option value="<?php echo e($language->id); ?>" data-img="<?php echo e(URL::asset($language->language_flag)); ?>" <?php if(config('stt.vendor_logos') == 'show'): ?> data-vendor="<?php echo e(URL::asset($language->vendor_img)); ?>" <?php endif; ?> <?php if(config('stt.language.live') == $language->id): ?> selected <?php endif; ?>> <?php echo e($language->language); ?></option>
										<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>	
									</select>
								</div> 						
							</div>						
						</div>

						<div class="row">							
							<div class="col-lg-6 col-md-6 col-sm-12">
								<div class="input-box">								
									<h6><?php echo e(__('Maximum Audio File Size')); ?> <span class="text-muted">(<?php echo e(__('in MB')); ?>)</span> <i class="ml-2 fa fa-info info-notification" data-toggle="tooltip" data-placement="top" title="Maximum audio file size for AWS can be up to 2GB. It is a hard limit by AWS. GCP doesn't have hard limits on audio file sizes."></i></h6>
									<div class="form-group">							    
										<input type="text" class="form-control <?php $__errorArgs = ['set-max-size'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="set-max-size" name="set-max-size" placeholder="Ex: 10" value="<?php echo e(config('stt.max_size_limit')); ?>" required>
										<?php $__errorArgs = ['set-max-size'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
											<p class="text-danger"><?php echo e($errors->first('set-max-size')); ?></p>
										<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
									</div> 
								</div>						
							</div>

							<div class="col-lg-6 col-md-6 col-sm-12">
								<div class="input-box">								
									<h6><?php echo e(__('Allowed Audio File Formats')); ?> <span class="text-muted">(<?php echo e(__('Comma Separated')); ?>)</span> <i class="ml-2 fa fa-info info-notification" data-toggle="tooltip" data-placement="top" title="AWS supported audio formats: MP3 | MP4 | FLAC | WAV | OGG | WebM. GCP supported audio formats: FLAC | WAV"></i></h6>
									<div class="form-group">							    
										<input type="text" class="form-control <?php $__errorArgs = ['set-file-format'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="set-file-format" name="set-file-format" placeholder="Ex: 10" value="<?php echo e(config('stt.file_format')); ?>" required>
										<?php $__errorArgs = ['set-file-format'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
											<p class="text-danger"><?php echo e($errors->first('set-file-format')); ?></p>
										<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
									</div> 
								</div> 						
							</div>

							<div class="col-lg-6 col-md-6 col-sm-12">	
								<div class="input-box">								
									<h6><?php echo e(__('Max Audio Length for Record & File Transcribe')); ?> <span class="text-muted">(<?php echo e(__('in Minutes')); ?>) (<?php echo e(__('for User')); ?>)</span> <i class="ml-2 fa fa-info info-notification" data-toggle="tooltip" data-placement="top" title="Maximum audio length for AWS is 240 Minutes. Maximum audio length for GCP is 480 Minutes. It is a hard limit set by vendors."></i></h6>
									<div class="form-group">							    
										<input type="text" class="form-control <?php $__errorArgs = ['set-max-length-file-none'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="set-max-length-file-none" name="set-max-length-file-none" placeholder="Ex: 240" value="<?php echo e(config('stt.max_length_limit_file_none')); ?>" required>
										<?php $__errorArgs = ['set-max-length-file-none'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
											<p class="text-danger"><?php echo e($errors->first('set-max-length-file-none')); ?></p>
										<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
									</div> 
								</div> 						
							</div>

							<div class="col-lg-6 col-md-6 col-sm-12">	
								<div class="input-box">								
									<h6><?php echo e(__('Max Audio Length for Record & File Transcribe')); ?> <span class="text-muted">(<?php echo e(__('in Minutes')); ?>) (<?php echo e(__('for Subscribers & Admins')); ?>)</span> <i class="ml-2 fa fa-info info-notification" data-toggle="tooltip" data-placement="top" title="Maximum audio length for AWS is 240 Minutes. Maximum audio length for GCP is 480 Minutes. It is a hard limit set by vendors."></i></h6>
									<div class="form-group">							    
										<input type="text" class="form-control <?php $__errorArgs = ['set-max-length-file'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="set-max-length-file" name="set-max-length-file" placeholder="Ex: 240" value="<?php echo e(config('stt.max_length_limit_file')); ?>" required>
										<?php $__errorArgs = ['set-max-length-file'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
											<p class="text-danger"><?php echo e($errors->first('set-max-length-file')); ?></p>
										<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
									</div> 
								</div> 						
							</div>

							<div class="col-lg-6 col-md-6 col-sm-12">	
								<div class="input-box">								
									<h6><?php echo e(__('Max Audio Length for Live Transcribe')); ?> <span class="text-muted">(<?php echo e(__('in Minutes')); ?>) (<?php echo e(__('for Users')); ?>) <i class="ml-2 fa fa-info info-notification" data-toggle="tooltip" data-placement="top" title="Only for AWS. Can be set up to 240 Minutes."></i></span></h6>
									<div class="form-group">							    
										<input type="text" class="form-control <?php $__errorArgs = ['set-max-length-live-none'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="set-max-length-live-none" name="set-max-length-live-none" placeholder="Ex: 240" value="<?php echo e(config('stt.max_length_limit_live_none')); ?>" required>
										<?php $__errorArgs = ['set-max-length-live-none'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
											<p class="text-danger"><?php echo e($errors->first('set-max-length-live-none')); ?></p>
										<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
									</div> 
								</div>						
							</div>

							<div class="col-lg-6 col-md-6 col-sm-12">	
								<div class="input-box">								
									<h6><?php echo e(__('Max Audio Length for Live Transcribe')); ?> <span class="text-muted">(<?php echo e(__('in Minutes')); ?>) (<?php echo e(__('for Subscribers & Admins')); ?>) <i class="ml-2 fa fa-info info-notification" data-toggle="tooltip" data-placement="top" title="Only for AWS. Can be set up to 240 Minutes."></i></span></h6>
									<div class="form-group">							    
										<input type="text" class="form-control <?php $__errorArgs = ['set-max-length-live'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="set-max-length-live" name="set-max-length-live" placeholder="Ex: 240" value="<?php echo e(config('stt.max_length_limit_live')); ?>" required>
										<?php $__errorArgs = ['set-max-length-live'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
											<p class="text-danger"><?php echo e($errors->first('set-max-length-live')); ?></p>
										<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
									</div> 
								</div>						
							</div>
						</div>


						<div class="row">							
							<div class="col-lg-6 col-md-6 col-sm-12">							
								<div class="input-box">	
									<h6><?php echo e(__('Cloud Vendor Logos')); ?> <span class="text-muted">(<?php echo e(__('Only for User Panel')); ?>)</span></h6>
			  						<select id="vendor-logo" name="vendor-logo" data-placeholder="Show or Hide Vendor Logos on User side">			
										<option value="show" <?php if( config('stt.vendor_logos')  == 'show'): ?> selected <?php endif; ?>>Show</option>
										<option value="hide" <?php if( config('stt.vendor_logos')  == 'hide'): ?> selected <?php endif; ?>>Hide</option>
									</select>
								</div> 						
							</div>

							<div class="col-lg-6 col-md-6 col-sm-12">							
								<div class="input-box">	
									<h6><?php echo e(__('Speaker Identification')); ?> <span class="text-muted">(<?php echo e(__('Default Mode')); ?>) <i class="ml-2 fa fa-info info-notification" data-toggle="tooltip" data-placement="top" title="Most GCP Languages do not support this feature. All AWS Languages support this feature."></i></span></h6>
			  						<select id="speaker-identification" name="speaker-identification" data-placeholder="Change speaker identification default mode">			
										<option value='enable' <?php if( config('stt.speaker_identification')  == 'enable'): ?> selected <?php endif; ?>>Enable</option>
										<option value='disable' <?php if( config('stt.speaker_identification')  == 'disable'): ?> selected <?php endif; ?>>Disable</option>
									</select>
								</div> 						
							</div>
						</div>

						<div class="card border-0 special-shadow mb-7">							
							<div class="card-body">

								<h6 class="fs-12 font-weight-bold mb-4"><i class="fa fa-gift text-info fs-14 mr-2"></i>Free Tier Options <span class="text-muted">(User Group)</span></h6>

								<div class="row">
									<div class="col-lg-6 col-md-6 col-sm-12">	
										<!-- FREE TIER MINUTES -->
										<div class="input-box">								
											<h6><?php echo e(__('Free Welcome Minutes')); ?> <span class="text-muted">(<?php echo e(__('For New Registered Users')); ?>)</span></h6>
											<div class="form-group">							    
												<input type="text" class="form-control <?php $__errorArgs = ['free-minutes'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="free-minutes" name="free-minutes" placeholder="Ex: 2000" value="<?php echo e(config('stt.free_minutes')); ?>" required>
												<?php $__errorArgs = ['free-minutes'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
													<p class="text-danger"><?php echo e($errors->first('free-minutes')); ?></p>
												<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
											</div> 
										</div> <!-- END FREE TIER MINUTES -->							
									</div>	
								</div>	
							</div>
						</div>

						<div class="card border-0 special-shadow">							
							<div class="card-body">
								<h6 class="fs-12 font-weight-bold mb-4"><img src="<?php echo e(URL::asset('img/csp/aws-sm.png')); ?>" class="fw-2 mr-2" alt="">Amazon Web Services</h6>
								
								<div class="form-group">
									<label class="custom-switch">
										<input type="checkbox" name="enable-aws" class="custom-switch-input" <?php if( config('stt.enable.aws')  == 'on'): ?> checked <?php endif; ?>>
										<span class="custom-switch-indicator"></span>
										<span class="custom-switch-description">Use AWS</span>
									</label>
								</div>

								<div class="form-group">
									<label class="custom-switch">
										<input type="checkbox" name="enable-aws-live" class="custom-switch-input" <?php if( config('stt.enable.aws_live')  == 'on'): ?> checked <?php endif; ?>>
										<span class="custom-switch-indicator"></span>
										<span class="custom-switch-description">Enable Live Transcription Feature</span>
									</label>
								</div>

								<div class="row">
									<div class="col-lg-6 col-md-6 col-sm-12">								
										<!-- ACCESS KEY -->
										<div class="input-box">								
											<h6>AWS Access Key</h6>
											<div class="form-group">							    
												<input type="text" class="form-control <?php $__errorArgs = ['set-aws-access-key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="aws-access-key" name="set-aws-access-key" value="<?php echo e(config('services.aws.key')); ?>" autocomplete="off">
												<?php $__errorArgs = ['set-aws-access-key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
													<p class="text-danger"><?php echo e($errors->first('set-aws-access-key')); ?></p>
												<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
											</div> 
										</div> <!-- END ACCESS KEY -->
									</div>

									<div class="col-lg-6 col-md-6 col-sm-12">
										<!-- SECRET ACCESS KEY -->
										<div class="input-box">								
											<h6>AWS Secret Access Key</h6> 
											<div class="form-group">							    
												<input type="text" class="form-control <?php $__errorArgs = ['set-aws-secret-access-key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="aws-secret-access-key" name="set-aws-secret-access-key" value="<?php echo e(config('services.aws.secret')); ?>" autocomplete="off">
												<?php $__errorArgs = ['set-aws-secret-access-key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
													<p class="text-danger"><?php echo e($errors->first('set-aws-secret-access-key')); ?></p>
												<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
											</div> 
										</div> <!-- END SECRET ACCESS KEY -->
									</div>

									<div class="col-lg-6 col-md-6 col-sm-12">								
										<!-- ACCESS KEY -->
										<div class="input-box">								
											<h6>Amazon S3 Bucket Name</small></h6>
											<div class="form-group">							    
												<input type="text" class="form-control <?php $__errorArgs = ['set-aws-bucket'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="aws-bucket" name="set-aws-bucket" value="<?php echo e(config('services.aws.bucket')); ?>" autocomplete="off">
												<?php $__errorArgs = ['set-aws-bucket'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
													<p class="text-danger"><?php echo e($errors->first('set-aws-bucket')); ?></p>
												<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
											</div> 
										</div> <!-- END ACCESS KEY -->
									</div>

									<div class="col-lg-6 col-md-6 col-sm-12">
										<!-- AWS REGION -->
										<div class="input-box">	
											<h6>Set AWS Region</h6>
											  <select id="set-aws-region" name="set-aws-region" data-placeholder="Select Default AWS Region:">			
												<option value="us-east-1" <?php if( config('services.aws.region')  == 'us-east-1'): ?> selected <?php endif; ?>>US East (N. Virginia) us-east-1</option>
												<option value="us-east-2" <?php if( config('services.aws.region')  == 'us-east-2'): ?> selected <?php endif; ?>>US East (Ohio) us-east-2</option>
												<option value="us-west-1" <?php if( config('services.aws.region')  == 'us-west-1'): ?> selected <?php endif; ?>>US West (N. California) us-west-1</option>
												<option value="us-west-2" <?php if( config('services.aws.region')  == 'us-west-2'): ?> selected <?php endif; ?>>US West (Oregon) us-west-2</option>
												<option value="ap-east-1" <?php if( config('services.aws.region')  == 'ap-east-1'): ?> selected <?php endif; ?>>Asia Pacific (Hong Kong) ap-east-1</option>
												<option value="ap-south-1" <?php if( config('services.aws.region')  == 'ap-south-1'): ?> selected <?php endif; ?>>Asia Pacific (Mumbai) ap-south-1</option>
												<option value="ap-northeast-3" <?php if( config('services.aws.region')  == 'ap-northeast-3'): ?> selected <?php endif; ?>>Asia Pacific (Osaka-Local) ap-northeast-3</option>
												<option value="ap-northeast-2" <?php if( config('services.aws.region')  == 'ap-northeast-2'): ?> selected <?php endif; ?>>Asia Pacific (Seoul) ap-northeast-2</option>
												<option value="ap-southeast-1" <?php if( config('services.aws.region')  == 'ap-southeast-1'): ?> selected <?php endif; ?>>Asia Pacific (Singapore) ap-southeast-1</option>
												<option value="ap-southeast-2" <?php if( config('services.aws.region')  == 'ap-southeast-2'): ?> selected <?php endif; ?>>Asia Pacific (Sydney) ap-southeast-2</option>
												<option value="ap-northeast-1" <?php if( config('services.aws.region')  == 'ap-northeast-1'): ?> selected <?php endif; ?>>Asia Pacific (Tokyo) ap-northeast-1</option>
												<option value="eu-central-1" <?php if( config('services.aws.region')  == 'eu-central-1'): ?> selected <?php endif; ?>>Europe (Frankfurt) eu-central-1</option>
												<option value="eu-west-1" <?php if( config('services.aws.region')  == 'eu-west-1'): ?> selected <?php endif; ?>>Europe (Ireland) eu-west-1</option>
												<option value="eu-west-2" <?php if( config('services.aws.region')  == 'eu-west-2'): ?> selected <?php endif; ?>>Europe (London) eu-west-2</option>
												<option value="eu-south-1" <?php if( config('services.aws.region')  == 'eu-south-1'): ?> selected <?php endif; ?>>Europe (Milan) eu-south-1</option>
												<option value="eu-west-3" <?php if( config('services.aws.region')  == 'eu-west-3'): ?> selected <?php endif; ?>>Europe (Paris) eu-west-3</option>
												<option value="eu-north-1" <?php if( config('services.aws.region')  == 'eu-north-1'): ?> selected <?php endif; ?>>Europe (Stockholm) eu-north-1</option>
												<option value="me-south-1" <?php if( config('services.aws.region')  == 'me-south-1'): ?> selected <?php endif; ?>>Middle East (Bahrain) me-south-1</option>
												<option value="sa-east-1" <?php if( config('services.aws.region')  == 'sa-east-1'): ?> selected <?php endif; ?>>South America (São Paulo) sa-east-1</option>
												<option value="ca-central-1" <?php if( config('services.aws.region')  == 'ca-central-1'): ?> selected <?php endif; ?>>Canada (Central) ca-central-1</option>
												<option value="af-south-1" <?php if( config('services.aws.region')  == 'af-south-1'): ?> selected <?php endif; ?>>Africa (Cape Town) af-south-1</option>
											</select>
										</div> <!-- END AWS REGION -->									
									</div>									
		
								</div>
	
							</div>
						</div>	


						<div class="card overflow-hidden border-0 special-shadow">							
							<div class="card-body">

								<h6 class="fs-12 font-weight-bold mb-4"><img src="<?php echo e(URL::asset('img/csp/gcp-sm.png')); ?>" class="fw-2 mr-2" alt="">GCP Settings</h6>

								<div class="form-group">
									<label class="custom-switch">
										<input type="checkbox" name="enable-gcp" class="custom-switch-input" <?php if( config('stt.enable.gcp')  == 'on'): ?> checked <?php endif; ?>>
										<span class="custom-switch-indicator"></span>
										<span class="custom-switch-description">Use GCP</span>
									</label>
								</div>

								<div class="row">
									<div class="col-lg-6 col-md-6 col-sm-12">								
										<!-- ACCESS KEY -->
										<div class="input-box">								
											<h6>GCP Configuration File Path</h6>
											<div class="form-group">							    
												<input type="text" class="form-control <?php $__errorArgs = ['gcp-configuration-path'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="gcp-configuration-path" name="gcp-configuration-path" value="<?php echo e(config('services.gcp.key_path')); ?>" autocomplete="off">
												<?php $__errorArgs = ['gcp-configuration-path'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
													<p class="text-danger"><?php echo e($errors->first('gcp-configuration-path')); ?></p>
												<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
											</div> 
										</div> <!-- END ACCESS KEY -->
									</div>	
									<div class="col-lg-6 col-md-6 col-sm-12">								
										<div class="input-box">								
											<h6>GCP Storage Bucket Name</h6>
											<div class="form-group">							    
												<input type="text" class="form-control <?php $__errorArgs = ['gcp-bucket'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="gcp-bucket" name="gcp-bucket" value="<?php echo e(config('services.gcp.bucket')); ?>" autocomplete="off">
												<?php $__errorArgs = ['gcp-bucket'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
													<p class="text-danger"><?php echo e($errors->first('gcp-bucket')); ?></p>
												<?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
											</div> 
										</div> 
									</div>							
								</div>
	
							</div>
						</div>						


						<!-- SAVE CHANGES ACTION BUTTON -->
						<div class="border-0 text-right mb-2 mt-1">
							<a href="<?php echo e(route('admin.stt.dashboard')); ?>" class="btn btn-cancel mr-2"><?php echo e(__('Cancel')); ?></a>
							<button type="submit" class="btn btn-primary"><?php echo e(__('Save')); ?></button>							
						</div>				

					</form>
					<!-- END STT SETTINGS FORM -->
				</div>
			</div>
		</div>
	</div>
	<!-- END ALL CSP CONFIGURATIONS -->	
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
	<!-- Awselect JS -->
	<script src="<?php echo e(URL::asset('plugins/awselect/awselect-custom.js')); ?>"></script>
	<script src="<?php echo e(URL::asset('js/awselect.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/wehostclub608/demo.wehostclub.com/transcript/resources/views/admin/stt/configuration/index.blade.php ENDPATH**/ ?>