<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
	<head>
		<!-- Meta data -->
		<meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="author" content="<?php echo e($information['author']); ?>">
	    <meta name="keywords" content="<?php echo e($information['keywords']); ?>">
	    <meta name="description" content="<?php echo e($information['description']); ?>">
		
        <!-- CSRF Token -->
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

        <!-- Title -->
        <title><?php echo e($information['title']); ?></title>

        <!--CSS Files -->
        <link href="<?php echo e(URL::asset('plugins/bootstrap/css/bootstrap.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(URL::asset('css/slick.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(URL::asset('css/slick-theme.css')); ?>" rel="stylesheet">
	    <link href="<?php echo e(URL::asset('plugins/awselect/awselect.min.css')); ?>" rel="stylesheet">

		<?php echo $__env->make('layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

		<!--Custom User CSS File -->
		<link href="<?php echo e(URL::asset($information['css'])); ?>" rel="stylesheet">

	</head>

	<body class="app sidebar-mini frontend-body <?php echo e(Request::path() != '/' ? 'blue-background' : ''); ?>">

        <!-- LOADER -->
		<div id="global-loader" >
			<img src="<?php echo e(URL::asset('img/svgs/loader.gif')); ?>" alt="loader">           
		</div>
		<!-- END LOADER -->

		<?php if(config('frontend.maintenance') == 'on'): ?>
			
			<div class="container h-100vh">
				<div class="row text-center h-100vh align-items-center">
					<div class="col-md-12">
						<img src="<?php echo e(URL::asset('img/files/maintenance.png')); ?>" alt="Maintenance Image">
						<h2 class="mt-4 font-weight-bold">We are just tuning up a few things.</h2>
						<h5>We apologize for the inconvenience but <span class="font-weight-bold text-info"><?php echo e(config('app.name')); ?></span> is currently undergoing planned maintenance.</h5>
					</div>
				</div>
			</div>
		<?php else: ?>

			<!-- Page -->
			<?php if(config('frontend.frontend_page') == 'on'): ?>
						
				<div class="page">
					<div class="page-main">

						<section id="main-wrapper">
					
							<div class="relative flex items-top justify-center min-h-screen" style="background: beige;">
				
								<div class="container-fluid">
				
									<div class="container">
										<div class="row">
				
											<nav class="navbar navbar-expand-lg navbar-light w-100">
												<a class="navbar-brand" href="<?php echo e(url('/')); ?>"><img src="<?php echo e(URL::asset('img/brand/logo.png')); ?>" height="60" alt=""></a>
												<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
													<span class="navbar-toggler-icon"></span>
												</button>
												<div class="collapse navbar-collapse" id="navbarNav">
													<ul class="navbar-nav">
														<li class="nav-item">
															<a class="nav-link scroll <?php echo e(Request::path() === '/' ? 'active' : ''); ?>" href="<?php echo e(url('/')); ?>"><?php echo e(__('Home')); ?> <span class="sr-only">(current)</span></a>
														</li>
														<?php if(config('frontend.about_page') == 'on'): ?>
															<li class="nav-item">
																<a class="nav-link scroll <?php echo e(Request::path() === 'about' ? 'active' : ''); ?>" href="<?php echo e(route('about')); ?>"><?php echo e(__('About')); ?></a>
															</li>
														<?php endif; ?>									
														<?php if(config('frontend.blog_page') == 'on'): ?>
															<li class="nav-item">
																<a class="nav-link scroll <?php echo e(Request::path() === 'blogs' ? 'active' : ''); ?>" href="<?php echo e(route('blogs')); ?>"><?php echo e(__('Blog')); ?></a>
															</li>
														<?php endif; ?>
														<?php if(config('frontend.faq_page') == 'on'): ?>
															<li class="nav-item">
																<a class="nav-link scroll <?php echo e(Request::path() === 'faqs' ? 'active' : ''); ?>" href="<?php echo e(route('faqs')); ?>"><?php echo e(__('FAQ')); ?></a>
															</li>
														<?php endif; ?>
														<?php if(config('frontend.pricing_page') == 'on'): ?>
															<li class="nav-item">
																<a class="nav-link scroll <?php echo e(Request::path() === 'pricing' ? 'active' : ''); ?>" href="<?php echo e(route('pricing')); ?>"><?php echo e(__('Pricing')); ?></a>
															</li>
														<?php endif; ?>
														<?php if(config('frontend.contact_page') == 'on'): ?>
															<li class="nav-item">
																<a class="nav-link <?php echo e(Request::path() === 'contact' ? 'active' : ''); ?>" href="<?php echo e(route('contact.show')); ?>"><?php echo e(__('Contact Us')); ?></a>
															</li>
														<?php endif; ?>
														
														<li class="nav-item ml-8">
															<?php if(Route::has('login')): ?>
																<div>
																	<?php if(auth()->guard()->check()): ?>
																		<a href="<?php echo e(route('user.stt.file')); ?>" class="action-button dashboard-button pl-5 pr-5"><?php echo e(__('Dashboard')); ?></a>
																	<?php else: ?>
																		<a href="<?php echo e(route('login')); ?>" class="action-button" id="login-button"><?php echo e(__('Login')); ?></a>
				
																		<?php if(config('settings.registration') == 'enabled'): ?>
																			<?php if(Route::has('register')): ?>
																				<a href="<?php echo e(route('register')); ?>" class="ml-2 action-button register-button pl-5 pr-5"><?php echo e(__('Sign Up')); ?></a>
																			<?php endif; ?>
																		<?php endif; ?>
																	<?php endif; ?>
																</div>
															<?php endif; ?>
														</li>
													</ul>
												</div>
											</nav>
				
										</div>
									</div>
				
									<?php echo $__env->make('layouts.flash', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
				
								</div>
				
							</div>  
						</section>

						<!-- App-Content -->			
						<div class="main-content">
							<div class="side-app">

								<?php echo $__env->yieldContent('content'); ?>

							</div>                   
						</div>
				
				</div><!-- End Page -->
			
				<!-- FOOTER SECTION
				========================================================-->
				<footer id="welcome-footer" >

					<!-- FOOTER MAIN CONTENT -->
					<div id="footer" class="container text-center">
								
						<div class="row">    

							<!-- FOOTER TITLE -->
							<div class="col-md-4 col-sm-12" id="footer-logo">
								
								<img src="<?php echo e(URL::asset('img/brand/logo-white.png')); ?>" alt="Brand Logo">

								<p class="mb-0">Lorem ipsum dolor sit amet consectetur adipisicing elit. Quasi ut culpa maiores maxime illo nostrum aut totam, porro dolore minima <a href=""> <?php echo e(__('Learn More')); ?><i class="fa fa-angle-double-right"></i></a></p>		

								<div class="dropdown header-locale" id="frontend-local">
									<a class="nav-link icon" data-toggle="dropdown">
										<span class="header-icon fa fa-globe pr-2"></span><span class="fs-12"><?php echo e(Config::get('locale')[App::getLocale()]['code']); ?></span>
									</a>
									<div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow animated">
										<div class="local-menu">
											<?php $__currentLoopData = Config::get('locale'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang => $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
												<?php if($lang != App::getLocale()): ?>
													<a href="<?php echo e(route('locale', $lang)); ?>" class="dropdown-item d-flex">
														<div class="text-info"><i class="flag flag-<?php echo e($language['flag']); ?> mr-3"></i></div>
														<div>
															<span class="font-weight-normal fs-12"><?php echo e($language['display']); ?></span>
														</div>
													</a>                                        
												<?php endif; ?>
											<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
										</div>
									</div>
								</div>

							</div> <!-- END FOOTER TITLE & SOCIAL ICONS -->


							<!-- FOOTER LINKS -->
							<div class="col-md-8 col-sm-12" id="footer-links">
								
								<div class="row w-100">

									<!-- INFORMATION LINKS -->
									<div class="col-md-3 col-sm-12">
									
										<h5><?php echo e(__('Information')); ?></h5>

										<ul class="list-unstyled">
											<li><a href="https://aws.amazon.com" target="_blank">AWS Cloud</a></li>
											<li><a href="https://cloud.google.com/" target="_blank">GCP Cloud</a></li>                              
										</ul>

									</div> <!-- END INFORMATION LINKS -->


									<!-- SOLUTIONS LINKS -->
									<div class="col-md-3 col-sm-12">				
											
										<h5><?php echo e(__('Links')); ?></h5>

										<ul class="list-unstyled">
											<li><a href="<?php echo e(route('contact.show')); ?>">Customer Support</a></li>
											<li><a href="<?php echo e(route('pricing')); ?>">Prices</a></li>
											<li><a href="<?php echo e(route('register')); ?>">Register</a></li>							
										</ul>				

									</div> <!-- END SOLUTIONS LINKS -->


									<!-- COMPANY LINKS -->
									<div class="col-md-3 col-sm-12">
										
										<h5><?php echo e(__('Company')); ?></h5>
										
										<ul class="list-unstyled">
											<li><a href="<?php echo e(route('about')); ?>">About CloudTranscribe</a></li>
											<li><a href="<?php echo e(route('terms')); ?>">Terms & Conditions</a></li>
											<li><a href="<?php echo e(route('privacy')); ?>">Privacy Policy</a></li>							
											<li><a href="<?php echo e(route('contact.show')); ?>">Contact Us</a></li>
										</ul>		         

									</div> <!-- COMPANY LINKS -->

									
									<!-- CONNECTION & NEWS LINKS -->
									<div class="col-md-3 col-sm-12 footer-connect pr-0">
																
										<h5><?php echo e(__('Connect')); ?></h5>

										<ul id="footer-icons" class="list-inline">
											<?php if(config('frontend.social_twitter')): ?>
												<a href="<?php echo e(config('frontend.social_twitter')); ?>" target="_blank"><li class="list-inline-item"><i class="footer-icon fa fa-twitter"></i></li></a>
											<?php endif; ?>
											<?php if(config('frontend.social_facebook')): ?>
												<a href="<?php echo e(config('frontend.social_facebook')); ?>" target="_blank"><li class="list-inline-item"><i class="footer-icon fa fa-facebook"></i></li></a>
											<?php endif; ?>
											<?php if(config('frontend.social_linkedin')): ?>
												<a href="<?php echo e(config('frontend.social_linkedin')); ?>" target="_blank"><li class="list-inline-item"><i class="footer-icon fa fa-linkedin"></i></li></a>
											<?php endif; ?>
											<?php if(config('frontend.social_instagram')): ?>
												<a href="<?php echo e(config('frontend.social_instagram')); ?>" target="_blank"><li class="list-inline-item"><i class="footer-icon fa fa-instagram"></i></li></a>
											<?php endif; ?>
											<?php if(config('frontend.social_google')): ?>
												<a href="<?php echo e(config('frontend.social_google')); ?>" target="_blank"><li class="list-inline-item mt-1"><i class="footer-icon fa fa-google"></i></li></a>
											<?php endif; ?>
											<?php if(config('frontend.social_youtube')): ?>
												<a href="<?php echo e(config('frontend.social_youtube')); ?>" target="_blank"><li class="list-inline-item"><i class="footer-icon fa fa-youtube"></i></li></a>
											<?php endif; ?>
											<?php if(config('frontend.social_flickr')): ?>
												<a href="<?php echo e(config('frontend.social_flickr')); ?>" target="_blank"><li class="list-inline-item"><i class="footer-icon fa fa-flickr"></i></li></a>
											<?php endif; ?>
											<?php if(config('frontend.social_vimeo')): ?>
												<a href="<?php echo e(config('frontend.social_vimeo')); ?>" target="_blank"><li class="list-inline-item"><i class="footer-icon fa fa-vimeo"></i></li></a>
											<?php endif; ?>
											
										</ul>

									</div> <!-- END CONNECTION & NEWS LINKS -->
								
								</div>


							</div> <!-- END FOOTER LINKS -->
							

						</div> <!-- END ROW -->

					</div> <!-- END CONTAINER-->



					<!-- COPYRIGHT INFORMATION -->
					<div id="copyright" class="container">
						
						<p class="copyright-left">Copyright © <?php echo e(date("Y")); ?> <a href="<?php echo e(config('app.url')); ?>"><?php echo e(config('app.name')); ?></a> |<span class="fs-10 text-info"><?php echo e(config('app.version')); ?></span> <?php echo e(__(' All rights reserved')); ?></p>
						
						<div>
							<p class="copyright-right"><a href="<?php echo e(route('terms')); ?>" target="_blank"><?php echo e(__('Terms & Conditions')); ?></a></p>
							<p class="copyright-right"><a href="<?php echo e(route('privacy')); ?>" target="_blank"><?php echo e(__('Privacy Policy')); ?></a><span>|</span></p>
						</div>

						<!-- SCROLL TO TOP -->
						<a href="#top" id="back-to-top"><i class="fa fa-angle-double-up"></i></a>

					</div>
					
				</footer> <!-- END FOOTER -->  

				<?php echo $__env->make('cookieConsent::index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 

			<?php endif; ?>
		
		<?php endif; ?>

		<?php echo $__env->make('layouts.footer-scripts-guest', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

		<!-- Custom User JS File -->
		<?php if($information['js']): ?>
			<script src="<?php echo e(URL::asset($information['js'])); ?>"></script>
		<?php endif; ?>
		
            
	</body>
</html>


<?php /**PATH /home/wehostclub608/demo.wehostclub.com/transcript/resources/views/layouts/guest.blade.php ENDPATH**/ ?>