
<?php $__env->startSection('css'); ?>
	<!-- Data Table CSS -->
	<link href="<?php echo e(URL::asset('plugins/datatable/datatables.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-header'); ?>
<!-- PAGE HEADER -->
<div class="page-header mt-5-7">
	<div class="page-leftheader">
		<h4 class="page-title mb-0"><?php echo e(__('My Audio Transcribe Results Data')); ?></h4>
		<ol class="breadcrumb mb-2">
			<li class="breadcrumb-item"><a href="<?php echo e(route('user.stt.file')); ?>"><i class="mdi mdi-audiobook mr-2 fs-12"></i><?php echo e(__('User')); ?></a></li>
			<li class="breadcrumb-item active" aria-current="page"><a href="<?php echo e(url('#')); ?>"> <?php echo e(__('Audio Transcribe Results')); ?></a></li>
		</ol>
	</div>
</div>
<!-- END PAGE HEADER -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>	
	<div class="row">
		<div class="col-lg-12 col-md-12 col-sm-12">
			<div class="card border-0">
				<div class="card-header">
					<h3 class="card-title"><?php echo e(__('All Audio File Transcribe Results')); ?></h3>
					<a id="refresh-button" href="#" data-toggle="tooltip" data-placement="top" title="Refresh Table"><i class="fa fa-refresh transcribe-action-buttons transcribe-result"></i></a>
				</div>
				<div class="card-body pt-2">
					<!-- SET DATATABLE -->
					<table id='userResultTable' class='table' width='100%'>
							<thead>
								<tr>
									<th width="1%"></th>
									<th width="7%"><?php echo e(__('Created On')); ?></th> 
									<th width="7%"><?php echo e(__('Project')); ?></th>
									<th width="10%"><?php echo e(__('Language')); ?></th>
									<th width="7%"><?php echo e(__('Status')); ?></th>		
									<th width="2%"><i class="fa fa-music fs-14"></i></th>							
									<th width="2%"><i class="fa fa-cloud-download fs-14"></i></th>								
									<th width="4%"><?php echo e(__('Duration')); ?></th>									
									<th width="2%"><?php echo e(__('Format')); ?></th> 																           	     						           	
									<th width="3%"><?php echo e(__('Size')); ?></th> 																           	     						           	
									<th width="2%"><?php echo e(__('Words')); ?></th> 																           	     						           	
									<th width="4%"><?php echo e(__('Mode')); ?></th> 																           	     						           	
									<th width="4%"><?php echo e(__('Actions')); ?></th>
								</tr>
							</thead>
					</table> <!-- END SET DATATABLE -->
				</div>
			</div>
		</div>
	</div>

	<!-- DELETE MODAL -->
	<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered modal-md" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title" id="myModalLabel"><i class="mdi mdi-alert-circle-outline color-red"></i> <?php echo e(__('Confirm Result Deletion')); ?></h4>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body" id="deleteModalBody">
					<div>
						<!-- DELETE CONFIRMATION -->
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- END DELETE MODAL -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<!-- Data Tables JS -->
<script src="<?php echo e(URL::asset('plugins/datatable/datatables.min.js')); ?>"></script>
<script src="<?php echo e(URL::asset('js/results.js')); ?>"></script>
<!-- Green Audio Players JS -->
<script src="<?php echo e(URL::asset('plugins/audio-player/green-audio-player.js')); ?>"></script>
<script src="<?php echo e(URL::asset('js/audio-player.js')); ?>"></script>
<script type="text/javascript">
	$(function () {

		"use strict";
		
		function format(d) {
			// `d` is the original data object for the row
			return '<div class="slider">'+
						'<table class="details-table">'+
							'<tr>'+
								'<td class="details-title" width="10%">File Name:</td>'+
								'<td>'+ ((d.file_name == null) ? '' : d.file_name) +'</td>'+
							'</tr>'+
							'<tr>'+
								'<td class="details-title" width="10%">Task Type:</td>'+
								'<td>'+ ((d.type == null) ? '' : d.type) +'</td>'+
							'</tr>'+
							'<tr>'+
								'<td class="details-title" width="10%">Task ID:</td>'+
								'<td>'+ ((d.task_id == null) ? '' : d.task_id) +'</td>'+
							'</tr>'+
							'<tr>'+
								'<td class="details-title" width="10%">Transcript:</td>'+
								'<td>'+ ((d.text == null) ? '' : d.text) +'</td>'+
							'</tr>'+
							'<tr>'+
								'<td class="details-result" width="10%">Audio File:</td>'+
								'<td><audio controls preload="none">' +
									'<source src="'+ d.result +'" type="'+ d.audio_type +'">' +
								'</audio></td>'+
							'</tr>'+
						'</table>'+
					'</div>';
		}

		// INITILIZE DATATABLE
		var table = $('#userResultTable').DataTable({
			"lengthMenu": [[25, 50, 100, -1], [25, 50, 100, "All"]],
			responsive: {
				details: {type: 'column'}
			},
			colReorder: true,
			language: {
				"emptyTable": "<div><img id='no-results-img' src='<?php echo e(URL::asset('img/files/no-result.png')); ?>'><br>No trascribe tasks created yet</div>",
				search: "<i class='fa fa-search search-icon'></i>",
				lengthMenu: '_MENU_ ',
				paginate : {
					first    : '<i class="fa fa-angle-double-left"></i>',
					last     : '<i class="fa fa-angle-double-right"></i>',
					previous : '<i class="fa fa-angle-left"></i>',
					next     : '<i class="fa fa-angle-right"></i>'
				}
			},
			pagingType : 'full_numbers',
			processing: true,
			serverSide: true,
			ajax: "<?php echo e(route('user.stt.results')); ?>",
			columns: [{
					"className":      'details-control',
					"orderable":      false,
					"searchable":     false,
					"data":           null,
					"defaultContent": ''
				},
				{
					data: 'created-on',
					name: 'created-on',
					orderable: true,
					searchable: true
				},		
				{
					data: 'project',
					name: 'project',
					orderable: true,
					searchable: true
				},			
				{
					data: 'custom-language',
					name: 'custom-language',
					orderable: true,
					searchable: true
				},					
				{
					data: 'custom-status',
					name: 'custom-status',
					orderable: true,
					searchable: true
				},
				{
					data: 'single',
					name: 'single',
					orderable: true,
					searchable: true
				},				
				{
					data: 'download',
					name: 'download',
					orderable: true,
					searchable: true
				},
				{
					data: 'custom-length',
					name: 'custom-length',
					orderable: true,
					searchable: true
				},
				{
					data: 'format',
					name: 'format',
					orderable: true,
					searchable: true
				},	
				{
					data: 'file_size',
					name: 'file_size',
					orderable: true,
					searchable: true
				},	
				{
					data: 'words',
					name: 'words',
					orderable: true,
					searchable: true
				},
				{
					data: 'custom-mode',
					name: 'custom-mode',
					orderable: true,
					searchable: true
				},		
				{
					data: 'actions',
					name: 'actions',
					orderable: false,
					searchable: false
				}
			]
		});
		
		$('#userResultTable tbody').on('click', 'td.details-control', function () {
			var tr = $(this).closest('tr');
			var row = table.row( tr );
	
			if ( row.child.isShown() ) {
				// This row is already open - close it
				$('div.slider', row.child()).slideUp( function () {
					row.child.hide();
					tr.removeClass('shown');
				} );
			}
			else {
				// Open this row
				row.child( format(row.data()), 'no-padding' ).show();
				tr.addClass('shown');
	
				$('div.slider', row.child()).slideDown();
			}
		});


		$('#refresh-button').on('click', function(e){
			e.preventDefault();
			$("#userResultTable").DataTable().ajax.reload();
		});

		
		// DELETE CONFIRMATION MODAL
		$(document).on('click', '#deleteResultButton', function(event) {
			event.preventDefault();
			let href = $(this).attr('href');
			$.ajax({
				url: href
				, beforeSend: function() {
					$('#loader').show();
				},
				// return the result
				success: function(result) {
					$('#deleteModal').modal("show");
					$('#deleteModalBody').html(result).show();
				}
				, error: function(jqXHR, testStatus, error) {
					console.log(error);
					alert("Page " + href + " cannot open. Error:" + error);
					$('#loader').hide();
				}
				, timeout: 8000
			})
		});

	});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/wehostclub608/demo.wehostclub.com/transcript/resources/views/user/stt-results/index.blade.php ENDPATH**/ ?>