<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: google/cloud/speech/v2/cloud_speech.proto

namespace Google\Cloud\Speech\V2;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Request message for the
 * [ListCustomClasses][google.cloud.speech.v2.Speech.ListCustomClasses] method.
 *
 * Generated from protobuf message <code>google.cloud.speech.v2.ListCustomClassesRequest</code>
 */
class ListCustomClassesRequest extends \Google\Protobuf\Internal\Message
{
    /**
     * Required. The project and location of CustomClass resources to list. The
     * expected format is `projects/{project}/locations/{location}`.
     *
     * Generated from protobuf field <code>string parent = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = {</code>
     */
    private $parent = '';
    /**
     * Number of results per requests. A valid page_size ranges from 0 to 100
     * inclusive. If the page_size is zero or unspecified, a page size of 5 will
     * be chosen. If the page size exceeds 100, it will be coerced down to 100.
     * Note that a call might return fewer results than the requested page size.
     *
     * Generated from protobuf field <code>int32 page_size = 2;</code>
     */
    private $page_size = 0;
    /**
     * A page token, received from a previous
     * [ListCustomClasses][google.cloud.speech.v2.Speech.ListCustomClasses] call.
     * Provide this to retrieve the subsequent page.
     * When paginating, all other parameters provided to
     * [ListCustomClasses][google.cloud.speech.v2.Speech.ListCustomClasses] must
     * match the call that provided the page token.
     *
     * Generated from protobuf field <code>string page_token = 3;</code>
     */
    private $page_token = '';
    /**
     * Whether, or not, to show resources that have been deleted.
     *
     * Generated from protobuf field <code>bool show_deleted = 4;</code>
     */
    private $show_deleted = false;

    /**
     * @param string $parent Required. The project and location of CustomClass resources to list. The
     *                       expected format is `projects/{project}/locations/{location}`. Please see
     *                       {@see SpeechClient::locationName()} for help formatting this field.
     *
     * @return \Google\Cloud\Speech\V2\ListCustomClassesRequest
     *
     * @experimental
     */
    public static function build(string $parent): self
    {
        return (new self())
            ->setParent($parent);
    }

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $parent
     *           Required. The project and location of CustomClass resources to list. The
     *           expected format is `projects/{project}/locations/{location}`.
     *     @type int $page_size
     *           Number of results per requests. A valid page_size ranges from 0 to 100
     *           inclusive. If the page_size is zero or unspecified, a page size of 5 will
     *           be chosen. If the page size exceeds 100, it will be coerced down to 100.
     *           Note that a call might return fewer results than the requested page size.
     *     @type string $page_token
     *           A page token, received from a previous
     *           [ListCustomClasses][google.cloud.speech.v2.Speech.ListCustomClasses] call.
     *           Provide this to retrieve the subsequent page.
     *           When paginating, all other parameters provided to
     *           [ListCustomClasses][google.cloud.speech.v2.Speech.ListCustomClasses] must
     *           match the call that provided the page token.
     *     @type bool $show_deleted
     *           Whether, or not, to show resources that have been deleted.
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Google\Cloud\Speech\V2\CloudSpeech::initOnce();
        parent::__construct($data);
    }

    /**
     * Required. The project and location of CustomClass resources to list. The
     * expected format is `projects/{project}/locations/{location}`.
     *
     * Generated from protobuf field <code>string parent = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = {</code>
     * @return string
     */
    public function getParent()
    {
        return $this->parent;
    }

    /**
     * Required. The project and location of CustomClass resources to list. The
     * expected format is `projects/{project}/locations/{location}`.
     *
     * Generated from protobuf field <code>string parent = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = {</code>
     * @param string $var
     * @return $this
     */
    public function setParent($var)
    {
        GPBUtil::checkString($var, True);
        $this->parent = $var;

        return $this;
    }

    /**
     * Number of results per requests. A valid page_size ranges from 0 to 100
     * inclusive. If the page_size is zero or unspecified, a page size of 5 will
     * be chosen. If the page size exceeds 100, it will be coerced down to 100.
     * Note that a call might return fewer results than the requested page size.
     *
     * Generated from protobuf field <code>int32 page_size = 2;</code>
     * @return int
     */
    public function getPageSize()
    {
        return $this->page_size;
    }

    /**
     * Number of results per requests. A valid page_size ranges from 0 to 100
     * inclusive. If the page_size is zero or unspecified, a page size of 5 will
     * be chosen. If the page size exceeds 100, it will be coerced down to 100.
     * Note that a call might return fewer results than the requested page size.
     *
     * Generated from protobuf field <code>int32 page_size = 2;</code>
     * @param int $var
     * @return $this
     */
    public function setPageSize($var)
    {
        GPBUtil::checkInt32($var);
        $this->page_size = $var;

        return $this;
    }

    /**
     * A page token, received from a previous
     * [ListCustomClasses][google.cloud.speech.v2.Speech.ListCustomClasses] call.
     * Provide this to retrieve the subsequent page.
     * When paginating, all other parameters provided to
     * [ListCustomClasses][google.cloud.speech.v2.Speech.ListCustomClasses] must
     * match the call that provided the page token.
     *
     * Generated from protobuf field <code>string page_token = 3;</code>
     * @return string
     */
    public function getPageToken()
    {
        return $this->page_token;
    }

    /**
     * A page token, received from a previous
     * [ListCustomClasses][google.cloud.speech.v2.Speech.ListCustomClasses] call.
     * Provide this to retrieve the subsequent page.
     * When paginating, all other parameters provided to
     * [ListCustomClasses][google.cloud.speech.v2.Speech.ListCustomClasses] must
     * match the call that provided the page token.
     *
     * Generated from protobuf field <code>string page_token = 3;</code>
     * @param string $var
     * @return $this
     */
    public function setPageToken($var)
    {
        GPBUtil::checkString($var, True);
        $this->page_token = $var;

        return $this;
    }

    /**
     * Whether, or not, to show resources that have been deleted.
     *
     * Generated from protobuf field <code>bool show_deleted = 4;</code>
     * @return bool
     */
    public function getShowDeleted()
    {
        return $this->show_deleted;
    }

    /**
     * Whether, or not, to show resources that have been deleted.
     *
     * Generated from protobuf field <code>bool show_deleted = 4;</code>
     * @param bool $var
     * @return $this
     */
    public function setShowDeleted($var)
    {
        GPBUtil::checkBool($var);
        $this->show_deleted = $var;

        return $this;
    }

}

